%define tdbmajor	1
%define version		1.2.12
%define epoch 1

%define libtdb %mklibname tdb %{tdbmajor}
%define tdbdevel %mklibname -d tdb

Name: tdb
Version: %{version}
# We shipped it in samba3 versioned with the samba3 version
Epoch: %{epoch}
Release: %mkrel 2
Group: System/Libraries
License: GPLv2
URL: http://tdb.samba.org/
Summary: Library implementing Samba's embedded database
Source: http://samba.org/ftp/tdb/tdb-%{version}.tar.gz
Source1: http://samba.org/ftp/tdb/tdb-%{version}.tar.asc
BuildRequires: python-devel xsltproc docbook-style-xsl

%description
Library implementing Samba's embedded database and utilities for backing up,
restoring and manipulating the database.

%package -n %{libtdb}
Group: System/Libraries
Summary: Library implementing Samba's embedded database

%description -n %{libtdb}
Library implementing Samba's embedded database

%package -n tdb-utils
Group: Databases
Summary: Tools for backing up, restoring, and manipulating Samba's embedded database
Conflicts: samba-server < 3.3.2-2

%description -n tdb-utils
Tools for backing up, restoring, and manipulating Samba's embedded database

%package -n %{tdbdevel}
Group: Development/C
Summary: Library implementing Samba's embedded database
Provides: tdb-devel = %{epoch}:%{version}-%{release}
#Version: %version
Requires: %{libtdb} = %{epoch}:%{version}-%{release}
# because /usr/include/tdb.h was moved from libsmbclient0-devel to libtdb-devel
Conflicts: %{mklibname smbclient 0 -d} < 3.2.6-3

%description -n %{tdbdevel}
Library implementing Samba's embedded database

%package -n python-tdb
Group: Development/Python
Summary: Python bindings to Samba's tdb embedded database

%description -n python-tdb
Pyhton bindings to Samba's tdb embedded database

%prep
%setup -q

%build
export PYTHONDIR=%{py_platsitedir}
%configure2_5x --bundled-libraries=NONE
%make

%install
rm -Rf %{buildroot}
%makeinstall_std

%clean
rm -Rf %{buildroot}

%files -n %{libtdb}
%{_libdir}/libtdb.so.%{tdbmajor}*

%files -n %{tdbdevel}
%{_libdir}/libtdb.so
%{_includedir}/tdb.h
%{_libdir}/pkgconfig/tdb.pc

%files -n tdb-utils
%{_bindir}/tdb*
%{_mandir}/man8/tdb*.8*

%files -n python-tdb
%{py_platsitedir}/tdb.so


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1:1.2.12-2.mga4
+ Revision: 528094
- Mageia 4 Mass Rebuild

* Sat Jun 15 2013 luigiwalser <luigiwalser> 1:1.2.12-1.mga4
+ Revision: 443441
- 1.2.12

* Mon Jan 14 2013 umeabot <umeabot> 1:1.2.11-2.mga3
+ Revision: 384198
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 17 2012 buchan <buchan> 1:1.2.11-1.mga3
+ Revision: 332025
- New version 1.2.11

* Thu Aug 16 2012 fedya <fedya> 1:1.2.10-1.mga3
+ Revision: 281503
- version update 1.2.10

* Fri May 13 2011 buchan <buchan> 1:1.2.9-1.mga1
+ Revision: 97818
- New version 1.2.9

* Mon Jan 17 2011 pterjan <pterjan> 1:1.2.7-3.mga1
+ Revision: 21354
- Rebuild for python 2.7

* Wed Jan 12 2011 blino <blino> 1:1.2.7-2.mga1
+ Revision: 6645
- imported package tdb


* Sat Jan 08 2011 Oden Eriksson <oeriksson@mandriva.com> 1:1.2.7-2mdv2011.0
+ Revision: 630224
- P0: tdb: Set _PUBLIC_ in C file rather than header files (Debian bug 600898)

* Fri Jan 07 2011 Buchan Milne <bgmilne@mandriva.org> 1:1.2.7-1mdv2011.0
+ Revision: 629678
- update to new version 1.2.7

* Wed Oct 13 2010 Buchan Milne <bgmilne@mandriva.org> 1:1.2.1-1mdv2011.0
+ Revision: 585254
+ rebuild (emptylog)

* Thu Feb 25 2010 Buchan Milne <bgmilne@mandriva.org> 1:1.2.1-1mdv2010.1
+ Revision: 510916
- import tdb


